#
# This is the SPEC file for creating binary RPMs for the Dom0.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:       qubes-desktop-linux-manager
Version:	4.3.9
Release:	1%{dist}
Summary:	Qubes UI Applications

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org
Source0:    %{name}-%{version}.tar.gz

# because we have "#!/usr/bin/env python" shebangs, RPM puts
# "Requires: $(which # python)" dependency, which, depending on $PATH order,
# may point to /usr/bin/python or /bin/python (because Fedora has this stupid
# /bin -> usr/bin symlink). python*.rpm provides only /usr/bin/python.
AutoReq:	no

BuildArch: noarch

BuildRequires:  make
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  gettext

Requires:  python%{python3_pkgversion}-setuptools
Requires:  python%{python3_pkgversion}-gbulb
Requires:  python%{python3_pkgversion}-inotify
Requires:  libappindicator-gtk3
Requires:  python%{python3_pkgversion}-systemd
Requires:  gtk3
Requires:  python%{python3_pkgversion}-qubesadmin >= 4.3.7
# FIXME: we need some way for applying updates from GUI VM
#Requires:  qubes-mgmt-salt-dom0-update >= 4.0.5
Requires:  qubes-artwork >= 4.1.5
# for qui/widget-wrapper
Requires:  xhost
Requires:  gtksourceview4
Requires:  gnome-icon-theme

Provides:   qui = %{version}-%{release}
Obsoletes:  qui < 4.0.0


%description
A collection of GUI application for enhancing the Qubes UX.

%prep
%setup

%build
%py3_build

%install
%py3_install
make install DESTDIR=$RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :

%files
/usr/bin/qubes-device-agent
%defattr(-,root,root,-)

%dir %{python3_sitelib}/qui-*.egg-info
%{python3_sitelib}/qui-*.egg-info/*

/usr/lib/qubes/qubes-device-agent-autostart

%dir %{python3_sitelib}/qui
%dir %{python3_sitelib}/qui/__pycache__
%{python3_sitelib}/qui/__pycache__/*
%{python3_sitelib}/qui/__init__.py
%{python3_sitelib}/qui/decorators.py
%{python3_sitelib}/qui/clipboard.py
%{python3_sitelib}/qui/utils.py

%{python3_sitelib}/qui/updater.glade
%{python3_sitelib}/qui/updater_settings.glade
%{python3_sitelib}/qui/qubes-updater-base.css
%{python3_sitelib}/qui/qubes-updater-light.css
%{python3_sitelib}/qui/qubes-updater-dark.css
%{python3_sitelib}/qui/eol.json

%{python3_sitelib}/qui/styles/qubes-colors-light.css
%{python3_sitelib}/qui/styles/qubes-colors-dark.css
%{python3_sitelib}/qui/styles/qubes-widgets-base.css

%dir %{python3_sitelib}/qui/updater/
%dir %{python3_sitelib}/qui/updater/__pycache__
%{python3_sitelib}/qui/updater/__pycache__/*
%{python3_sitelib}/qui/updater/__init__.py
%{python3_sitelib}/qui/updater/intro_page.py
%{python3_sitelib}/qui/updater/progress_page.py
%{python3_sitelib}/qui/updater/summary_page.py
%{python3_sitelib}/qui/updater/updater.py
%{python3_sitelib}/qui/updater/updater_settings.py
%{python3_sitelib}/qui/updater/utils.py

%dir %{python3_sitelib}/qui/devices/
%dir %{python3_sitelib}/qui/devices/__pycache__
%{python3_sitelib}/qui/devices/__pycache__/*
%{python3_sitelib}/qui/devices/__init__.py
%{python3_sitelib}/qui/devices/actionable_widgets.py
%{python3_sitelib}/qui/devices/backend.py
%{python3_sitelib}/qui/devices/device_widget.py
%{python3_sitelib}/qui/devices/device_widget.py
%{python3_sitelib}/qui/qubes-devices-dark.css
%{python3_sitelib}/qui/qubes-devices-light.css
%{python3_sitelib}/qui/devices/AttachConfirmationWindow.glade

%dir %{python3_sitelib}/qui/tools
%dir %{python3_sitelib}/qui/tools/__pycache__
%{python3_sitelib}/qui/tools/__pycache__/*
%{python3_sitelib}/qui/tools/__init__.py
%{python3_sitelib}/qui/tools/qubes_device_agent.py

%dir %{python3_sitelib}/qui/tray/
%dir %{python3_sitelib}/qui/tray/__pycache__
%{python3_sitelib}/qui/tray/__pycache__/*
%{python3_sitelib}/qui/tray/__init__.py
%{python3_sitelib}/qui/tray/domains.py
%{python3_sitelib}/qui/tray/disk_space.py
%{python3_sitelib}/qui/tray/updates.py

%dir %{python3_sitelib}/qubes_config
%dir %{python3_sitelib}/qubes_config/__pycache__
%{python3_sitelib}/qubes_config/__init__.py
%{python3_sitelib}/qubes_config/__pycache__/*
%{python3_sitelib}/qubes_config/global_config/__init__.py
%{python3_sitelib}/qubes_config/global_config/__pycache__/*
%{python3_sitelib}/qubes_config/global_config/basics_handler.py
%{python3_sitelib}/qubes_config/global_config/conflict_handler.py
%{python3_sitelib}/qubes_config/global_config/global_config.py
%{python3_sitelib}/qubes_config/global_config/page_handler.py
%{python3_sitelib}/qubes_config/global_config/policy_handler.py
%{python3_sitelib}/qubes_config/global_config/policy_manager.py
%{python3_sitelib}/qubes_config/global_config/policy_rules.py
%{python3_sitelib}/qubes_config/global_config/policy_exceptions_handler.py
%{python3_sitelib}/qubes_config/global_config/rule_list_widgets.py
%{python3_sitelib}/qubes_config/global_config/thisdevice_handler.py
%{python3_sitelib}/qubes_config/global_config/updates_handler.py
%{python3_sitelib}/qubes_config/global_config/usb_devices.py
%{python3_sitelib}/qubes_config/global_config/vm_flowbox.py
%{python3_sitelib}/qubes_config/new_qube/__init__.py
%{python3_sitelib}/qubes_config/new_qube/__pycache__/*
%{python3_sitelib}/qubes_config/new_qube/advanced_handler.py
%{python3_sitelib}/qubes_config/new_qube/application_selector.py
%{python3_sitelib}/qubes_config/new_qube/network_selector.py
%{python3_sitelib}/qubes_config/new_qube/new_qube_app.py
%{python3_sitelib}/qubes_config/new_qube/template_handler.py
%{python3_sitelib}/qubes_config/widgets/__init__.py
%{python3_sitelib}/qubes_config/widgets/__pycache__/*
%{python3_sitelib}/qubes_config/widgets/gtk_utils.py
%{python3_sitelib}/qubes_config/widgets/gtk_widgets.py
%{python3_sitelib}/qubes_config/widgets/utils.py

%{python3_sitelib}/qubes_config/global_config.glade
%{python3_sitelib}/qubes_config/new_qube.glade
%{python3_sitelib}/qubes_config/qubes-global-config-base.css
%{python3_sitelib}/qubes_config/qubes-global-config-light.css
%{python3_sitelib}/qubes_config/qubes-global-config-dark.css
%{python3_sitelib}/qubes_config/qubes-policy-editor-base.css
%{python3_sitelib}/qubes_config/qubes-policy-editor-light.css
%{python3_sitelib}/qubes_config/qubes-policy-editor-dark.css
%{python3_sitelib}/qubes_config/qubes-new-qube-base.css
%{python3_sitelib}/qubes_config/qubes-new-qube-light.css
%{python3_sitelib}/qubes_config/qubes-new-qube-dark.css

%{python3_sitelib}/qubes_config/policy_editor/__pycache__/*
%{python3_sitelib}/qubes_config/policy_editor.glade
%{python3_sitelib}/qubes_config/policy_editor/policy_editor.py
%{python3_sitelib}/qubes_config/policy_editor/__init__.py
%{python3_sitelib}/qubes_config/policy_editor/policy_help.txt

%{_bindir}/qui-domains
%{_bindir}/qui-devices
%{_bindir}/qui-disk-space
%{_bindir}/qui-updates
%{_bindir}/qui-clipboard
%{_bindir}/qubes-update-gui
/etc/xdg/autostart/qubes-device-agent.desktop
/etc/xdg/autostart/qui-domains.desktop
/etc/xdg/autostart/qui-devices.desktop
/etc/xdg/autostart/qui-clipboard.desktop
/etc/xdg/autostart/qui-disk-space.desktop
/etc/xdg/autostart/qui-updates.desktop
/usr/share/icons/Adwaita/22x22/devices/generic-usb.png
/usr/share/icons/Adwaita/22x22/status/outdated.png
/usr/share/applications/qubes-update-gui.desktop
/usr/bin/widget-wrapper
/lib/systemd/user/qubes-widget@.service
/usr/share/locale/en/LC_MESSAGES/desktop-linux-manager.mo
/usr/share/locale/pl/LC_MESSAGES/desktop-linux-manager.mo

/usr/share/applications/qubes-global-config.desktop
/usr/share/applications/qubes-new-qube.desktop
/usr/share/applications/qubes-policy-editor-gui.desktop

%{_bindir}/qubes-new-qube
%{_bindir}/qubes-global-config
%{_bindir}/qubes-policy-editor-gui

/usr/share/icons/hicolor/16x16/apps/qui-domains.png
/usr/share/icons/hicolor/24x24/apps/qui-domains.png
/usr/share/icons/hicolor/32x32/apps/qui-domains.png
/usr/share/icons/hicolor/40x40/apps/qui-domains.png
/usr/share/icons/hicolor/48x48/apps/qui-domains.png
/usr/share/icons/hicolor/72x72/apps/qui-domains.png
/usr/share/icons/hicolor/96x96/apps/qui-domains.png
/usr/share/icons/hicolor/128x128/apps/qui-domains.png

/usr/share/icons/hicolor/scalable/apps/arrow-dark.svg
/usr/share/icons/hicolor/scalable/apps/arrow-light.svg
/usr/share/icons/hicolor/scalable/apps/camera-dark.svg
/usr/share/icons/hicolor/scalable/apps/camera-light.svg
/usr/share/icons/hicolor/scalable/apps/check_maybe.svg
/usr/share/icons/hicolor/scalable/apps/check_no.svg
/usr/share/icons/hicolor/scalable/apps/check_yes.svg
/usr/share/icons/hicolor/scalable/apps/detach-dark.svg
/usr/share/icons/hicolor/scalable/apps/detach-light.svg
/usr/share/icons/hicolor/scalable/apps/edit-dark.svg
/usr/share/icons/hicolor/scalable/apps/edit-light.svg
/usr/share/icons/hicolor/scalable/apps/harddrive-dark.svg
/usr/share/icons/hicolor/scalable/apps/harddrive-light.svg
/usr/share/icons/hicolor/scalable/apps/help-dark.svg
/usr/share/icons/hicolor/scalable/apps/help-light.svg
/usr/share/icons/hicolor/scalable/apps/key-dark.svg
/usr/share/icons/hicolor/scalable/apps/key-light.svg
/usr/share/icons/hicolor/scalable/apps/laptop-dark.svg
/usr/share/icons/hicolor/scalable/apps/laptop-light.svg
/usr/share/icons/hicolor/scalable/apps/mic-dark.svg
/usr/share/icons/hicolor/scalable/apps/mic-light.svg
/usr/share/icons/hicolor/scalable/apps/mouse-dark.svg
/usr/share/icons/hicolor/scalable/apps/mouse-light.svg
/usr/share/icons/hicolor/scalable/apps/qubes-ask.svg
/usr/share/icons/hicolor/scalable/apps/qubes-check-maybe.svg
/usr/share/icons/hicolor/scalable/apps/qubes-check-yes.svg
/usr/share/icons/hicolor/scalable/apps/qubes-customize.svg
/usr/share/icons/hicolor/scalable/apps/qubes-delete-x.svg
/usr/share/icons/hicolor/scalable/apps/qubes-delete.svg
/usr/share/icons/hicolor/scalable/apps/qubes-devices.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-hidden-black.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-hidden-white.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-shown-black.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-shown-white.svg
/usr/share/icons/hicolor/scalable/apps/qubes-global-config.svg
/usr/share/icons/hicolor/scalable/apps/qubes-files.svg
/usr/share/icons/hicolor/scalable/apps/qubes-terminal.svg
/usr/share/icons/hicolor/scalable/apps/qubes-vm-pause.svg
/usr/share/icons/hicolor/scalable/apps/qubes-vm-shutdown.svg
/usr/share/icons/hicolor/scalable/apps/qubes-vm-restart.svg
/usr/share/icons/hicolor/scalable/apps/qubes-vm-unpause.svg
/usr/share/icons/hicolor/scalable/apps/qubes-vm-kill.svg
/usr/share/icons/hicolor/scalable/apps/qubes-info.svg
/usr/share/icons/hicolor/scalable/apps/qubes-key.svg
/usr/share/icons/hicolor/scalable/apps/qubes-logo.svg
/usr/share/icons/hicolor/scalable/apps/qubes-new-qube.svg
/usr/share/icons/hicolor/scalable/apps/qubes-ok.svg
/usr/share/icons/hicolor/scalable/apps/qubes-padlock.svg
/usr/share/icons/hicolor/scalable/apps/qubes-policy-editor.svg
/usr/share/icons/hicolor/scalable/apps/qubes-question.svg
/usr/share/icons/hicolor/scalable/apps/qubes-this-device.svg
/usr/share/icons/hicolor/scalable/apps/qui-clipboard.svg
/usr/share/icons/hicolor/scalable/apps/qui-clipboard-light.svg
/usr/share/icons/hicolor/scalable/apps/qui-clipboard-dark.svg
/usr/share/icons/hicolor/scalable/apps/qui-domains-scalable.svg
/usr/share/icons/hicolor/scalable/apps/qui-disk-space.svg
/usr/share/icons/hicolor/scalable/apps/qui-disk-space-warn.svg
/usr/share/icons/hicolor/scalable/apps/qui-updates.svg
/usr/share/icons/hicolor/scalable/apps/qui-updates-dark.svg
/usr/share/icons/hicolor/scalable/apps/qui-updates-light.svg
/usr/share/icons/hicolor/scalable/apps/settings-dark.svg
/usr/share/icons/hicolor/scalable/apps/settings-light.svg
/usr/share/icons/hicolor/scalable/apps/smartphone-dark.svg
/usr/share/icons/hicolor/scalable/apps/smartphone-light.svg
/usr/share/icons/hicolor/scalable/apps/qubes-add.svg
/usr/share/icons/hicolor/scalable/apps/url-dark.svg
/usr/share/icons/hicolor/scalable/apps/url-light.svg
/usr/share/icons/hicolor/scalable/apps/usb-dark.svg
/usr/share/icons/hicolor/scalable/apps/usb-light.svg

/usr/share/gtksourceview-4/language-specs/qubes-rpc.lang

%changelog
* Mon Feb 17 2025 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-manager.git

* Mon Feb 17 2025 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b6b42e4
- version 4.3.9

* Mon Feb 17 2025 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - b6edb85
- Improve dark mode readability, make icons more neutral

* Thu Feb 13 2025 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 0592832
- Fix setting VM label in domains widgets in some circumstances

* Wed Feb 12 2025 Ali Mirjamali <ali@mirjamali.com> - 96b9825
- Mark inactive "create" button as gray

* Thu Feb 06 2025 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - d429b8b
- Make qui-* icons gray

* Mon Jan 27 2025 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 476e758
- Improved Global Config

* Fri Jan 17 2025 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 0c0db19
- New and improved icons

* Sat Jan 11 2025 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3d5af8f
- version 4.3.8

* Fri Jan 10 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d550f7d
- Remove enforced extra space on the menu

* Thu Jan 09 2025 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 3ccb59a
- domains: use custom metaclass for ActionMenuItem

* Thu Jan 09 2025 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 250f3a4
- Rework domains widget

* Sat Jan 04 2025 Demi Marie Obenour <demi@invisiblethingslab.com> - 1231efc
- updater: make UpdateListIter a proper iterator

* Fri Jan 03 2025 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 8643f9b
- Don't change combobox on mouse scroll

* Thu Jan 02 2025 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2b12854
- Make pylint happy after reformat

* Thu Jan 02 2025 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 740d01a
- Reformat code with python-black

* Tue Dec 10 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - a3e4d17
- Fix test error

* Sun Nov 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2b308a5
- version 4.3.7

* Sun Nov 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fe36939
- ci: switch to R4.3

* Sun Nov 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - daa31ad
- Adjust dependencies for new devices API

* Fri Nov 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 65e84b9
- version 4.3.6

* Fri Nov 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - be57851
- Add -o/--open-at option to global config

* Wed Nov 13 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 2b26834
- Auto-resize new qube window to screen size

* Mon Nov 11 2024 Ali Mirjamali <ali@mirjamali.com> - 9a85256
- Show progress bar after loading CSS theme

* Fri Nov 08 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 83b2fab
- version 4.3.5

* Wed Nov 06 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - bbbb3db
- Improve colors on selected updater row

* Wed Nov 06 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 79ed774
- Reformat qui/clipboard.py with black

* Wed Nov 06 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - e7c183f
- Fix bug with backwards clipboard compatibility

* Wed Nov 06 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7146e50
- Fix handling domain-add event in qui-updates

* Tue Nov 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6a10776
- version 4.3.4

* Sat Oct 26 2024 Ali Mirjamali <ali@mirjamali.com> - 8126510
- Clipboard notification improvements with .metadata

* Fri Oct 25 2024 Ali Mirjamali <ali@mirjamali.com> - 276c164
- Move catching exception inside helper functions

* Thu Oct 24 2024 Ali Mirjamali <ali@mirjamali.com> - 986fc5d
- Add filtering options to Qubes Update GUI

* Fri Oct 18 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - b149981
- q-dev: remove qubes-device-attach-confirm

* Fri Oct 18 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - a88b427
- q-dev: cleanup

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 1ac753f
- q-dev: better variable naming

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 92ec055
- q-dev: add short way to create DeviceAssignment

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 0351410
- q-dev: rename attach-confirm -> qubes-device-attach-confirm

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 31a425f
- q-dev: remove literals

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 6ee680e
- q-dev: make pylint happy

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 1315da6
- q-dev: drop dependence on qubes core

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 9a3cc15
- q-dev: remove guivm from args of attach-confirm

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 12dba6c
- q-dev: cleanup

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - ac9e490
- q-dev: simplification of device agent

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 30f7401
- q-dev: update glade path

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 9691605
- q-dev: include tools

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 068c9d0
- q-dev: fix setup.py

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 1d34246
- q-dev: move gui parts from core-admin

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 40b3736
- q-dev: cleanup

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 070406c
- q-dev: virtual device

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 8ead9c2
- q-dev: fix detaching

